export default {
  "layoutMode": "FLEX",
  "rootPanelItems": [
    {
      "panelItems": [
        {
          "panelItems": [
            {
              "allowEmpty": true,
              "caption": "页面标题",
              "itemStyle": "DEFAULT",
              "itemType": "FIELD",
              "layoutPos": {
                "layout": "FLEX"
              },
              "id": "view_pagecaption"
            }
          ],
          "layout": {
            "layout": "FLEX"
          },
          "dataRegionType": "INHERIT",
          "caption": "容器",
          "itemStyle": "DEFAULT",
          "itemType": "CONTAINER",
          "layoutPos": {
            "layout": "FLEX"
          },
          "id": "container4"
        },
        {
          "panelItems": [
            {
              "caption": "搜索栏",
              "itemStyle": "DEFAULT",
              "itemType": "CTRLPOS",
              "layoutPos": {
                "layout": "FLEX"
              },
              "showCaption": true,
              "id": "searchbar"
            },
            {
              "caption": "工具栏",
              "itemStyle": "DEFAULT",
              "itemType": "CTRLPOS",
              "layoutPos": {
                "layout": "FLEX"
              },
              "showCaption": true,
              "id": "toolbar"
            }
          ],
          "layout": {
            "dir": "row",
            "layout": "FLEX"
          },
          "dataRegionType": "INHERIT",
          "caption": "容器",
          "itemStyle": "DEFAULT",
          "itemType": "CONTAINER",
          "layoutPos": {
            "layout": "FLEX"
          },
          "id": "container5"
        }
      ],
      "layout": {
        "align": "space-between",
        "dir": "row",
        "layout": "FLEX"
      },
      "dataRegionType": "INHERIT",
      "caption": "容器",
      "itemStyle": "DEFAULT",
      "itemType": "CONTAINER",
      "layoutPos": {
        "heightMode": "PX",
        "layout": "FLEX"
      },
      "id": "container1"
    },
    {
      "panelItems": [
        {
          "caption": "搜索表单",
          "itemStyle": "DEFAULT",
          "itemType": "CTRLPOS",
          "layoutPos": {
            "layout": "FLEX"
          },
          "showCaption": true,
          "id": "searchform"
        }
      ],
      "layout": {
        "layout": "FLEX"
      },
      "dataRegionType": "INHERIT",
      "caption": "容器",
      "itemStyle": "DEFAULT",
      "itemType": "CONTAINER",
      "layoutPos": {
        "layout": "FLEX"
      },
      "id": "container2"
    },
    {
      "panelItems": [
        {
          "caption": "表格",
          "itemStyle": "DEFAULT",
          "itemType": "CTRLPOS",
          "layoutPos": {
            "grow": 1,
            "layout": "FLEX"
          },
          "showCaption": true,
          "id": "grid"
        }
      ],
      "layout": {
        "layout": "FLEX"
      },
      "dataRegionType": "INHERIT",
      "caption": "容器",
      "itemStyle": "DEFAULT",
      "itemType": "CONTAINER",
      "layoutPos": {
        "grow": 1,
        "layout": "FLEX"
      },
      "id": "container3"
    }
  ],
  "layoutPanel": true,
  "codeName": "GridViewLayout",
  "controlType": "VIEWLAYOUTPANEL",
  "logicName": "表格视图布局(预置模型)",
  "appDataEntityId": "web.viewlayoutmodelrepository",
  "controlParam": {},
  "name": "layoutpanel",
  "id": "gridviewlayout"
}
